Subject: RE: bug#29321: Isearch hit count

From: Drew Adams <[email-masked]>
Date: Sat, 27 Oct 2018 17:35:03 -0700 (PDT)

Moving this back to bug #29360...

> > > Juri: Adapting your patch to my code, I notice that it uses
> > > `isearch-lazy-highlight-buffer' instead of
> > > `isearch-lazy-highlight-buffer-p' now.  Did you intend that
> > > change back to using the option in those occurrences?
> >
> > More exactly, it seems like you use a mix now of
> > `isearch-lazy-highlight-buffer' and `lazy-highlight-buffer'
> > (no `isearch-'), the latter of which is not in your previous
> > patches at all (for bug #29360).
> >
> > Please advise.  What replaced what exactly, in this regard?
> 
> I guess that since your patch to the bug thread you just renamed
> isearch-lazy-highlight-buffer to lazy-highlight-buffer and you
> renamed isearch-lazy-highlight-buffer-p to
> isearch-lazy-highlight-buffer.
> 
> If something other or more than that was involved, please let me know.

Hm.  Seems like you also removed `isearch-lazy-highlight-match-function',
which was present in your patches.  Why is that?  I know that you
you used only `isearch-lazy-highlight-match' as the value, but did
you have something else in mind for it?  Can I expect that you will
add back that variable?